/* --------------------------------------------------------
 Generated by Lukman Hakim using sql2java (http://sql2java.sourceforge.net/ )
 jdbc driver used at code generation time: net.sourceforge.jtds.jdbc.Driver
 
 Author : Lukman Hakim (lukman.uki@gmail.com) 
 Date Created : 13/12/2017
 --------------------------------------------------------
*/
package com.portofolio.dto;

import  javax.validation.constraints.NotNull;
import  javax.validation.constraints.Max;
import  lombok.Getter;
import  lombok.Setter;


@Getter
@Setter
public class PekerjaanDto {
    
    
    @NotNull(message = "pekerjaan.pekerjaan.notnull")
    private String namaPekerjaan;
    
    @NotNull(message = "pekerjaan.reportdisplay.notnull")
    private String reportDisplay;
    
    private String kodeExternal;
    
    private String namaExternal;
    
    
    @NotNull(message = "pekerjaan.statusenabled.notnull")
    private Boolean statusEnabled;
    
    

}
